Bug 1269871 - Review Request: golang-github-gonum-internal - Internal routines for the gonum project
Review Request: golang-github-gonum-internal - Internal routines for the gonu...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1269868 1269877 1269923
  Show dependency treegraph
 
Reported: 2015-10-08 07:45 EDT by Jan Chaloupka
Modified: 2016-01-26 14:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 14:41:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lsm5: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jan Chaloupka 2015-10-08 07:45:24 EDT
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-gonum-internal/golang-github-gonum-internal.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-gonum-internal/golang-github-gonum-internal-0-0.1.git5b84ddf.fc20.src.rpm

Description: Internal routines for the gonum project

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11372557

$ rpmlint golang-github-gonum-internal-0-0.1.git5b84ddf.fc20.src.rpm golang-github-gonum-internal-devel-0-0.1.git5b84ddf.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Jan Chaloupka 2015-10-08 07:49:40 EDT
Notes: internal package changed to inteernal. Since go-1.5 'internal' can be imported only by the project itself. Github.com/gonum contains other repositories (e.g. floats, blas) which imports internal packages and are out of the internal repository. To be able to build those projects with go-1.5 and preserve the project's decomposition, the internal is changed into inteernal. The inteernal package (and its subpackages) are not meant to be included by other projects out of gonum project. Which is however hard to force and other projects could already be importing it.
Comment 2 Lokesh Mandvekar 2015-10-09 00:27:13 EDT
- package conforms to current golang packaging draft
- license correct and valid
- only sources installed

approved
Comment 3 Fedora Update System 2015-10-19 05:57:43 EDT
golang-github-gonum-internal-0-0.1.git5b84ddf.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4b7d16c403
Comment 4 Fedora Update System 2015-10-19 05:57:50 EDT
golang-github-gonum-internal-0-0.1.git5b84ddf.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-76fcbb5650
Comment 5 Fedora Update System 2015-10-19 05:57:54 EDT
golang-github-gonum-internal-0-0.1.git5b84ddf.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ee395b3a02
Comment 6 Fedora Update System 2015-10-19 05:57:58 EDT
golang-github-gonum-internal-0-0.1.git5b84ddf.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-470cbed124
Comment 7 Fedora Update System 2015-10-19 12:24:48 EDT
golang-github-gonum-internal-0-0.1.git5b84ddf.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-gonum-internal'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-470cbed124
Comment 8 Fedora Update System 2015-10-19 23:50:03 EDT
golang-github-gonum-internal-0-0.1.git5b84ddf.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-gonum-internal'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-76fcbb5650
Comment 9 Fedora Update System 2015-10-20 00:23:31 EDT
golang-github-gonum-internal-0-0.1.git5b84ddf.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-gonum-internal'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ee395b3a02
Comment 10 Fedora Update System 2015-10-20 11:18:00 EDT
golang-github-gonum-internal-0-0.1.git5b84ddf.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update golang-github-gonum-internal'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4b7d16c403

Note You need to log in before you can comment on or make changes to this bug.